Lists application projects and deployed Thurgood apps for the authenticated organization. Use enrich=true to include additional hosting metadata for projects linked to Vercel.
curl --request GET \
--url https://api.case.dev/applications/v1/projects \
--header 'Authorization: Bearer <token>'{
"projects": [
{
"id": "<string>",
"name": "<string>",
"vercelProjectId": "<string>",
"gitRepo": "<string>",
"gitBranch": "<string>",
"framework": "<string>",
"status": "<string>",
"domains": [
{
"id": "<string>",
"domain": "<string>",
"isPrimary": true,
"isVerified": true
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}API key starting with sk_case_
Maximum number of projects to return from each backing source
Whether to include additional hosting metadata from Vercel
Projects retrieved successfully
Projects and deployed apps visible to the organization
Show child attributes
Was this page helpful?
curl --request GET \
--url https://api.case.dev/applications/v1/projects \
--header 'Authorization: Bearer <token>'{
"projects": [
{
"id": "<string>",
"name": "<string>",
"vercelProjectId": "<string>",
"gitRepo": "<string>",
"gitBranch": "<string>",
"framework": "<string>",
"status": "<string>",
"domains": [
{
"id": "<string>",
"domain": "<string>",
"isPrimary": true,
"isVerified": true
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}